Skip to content
Hoursmith Docs
APIReferenceProjects

List a project's explicit Member grants

List a project's explicit Member grants. Manager+ on any project; a Member only on a project they belong to (names only, no emails). Owners, Admins and Managers have implicit access and are not listed. Plan: Studio or Agency (API access). Scope: read.

GET
/projects/{id}/members

Authorization

BearerAuth
AuthorizationBearer <token>

Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.

In: header

Path Parameters

id*string

Project UUID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"
{  "data": [    {      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",      "name": "string",      "email": "string",      "addedById": "02e6e45b-a7af-4272-9dc5-f1f7e42b66b5",      "addedByName": "string",      "addedAt": "2019-08-24T14:15:22Z"    }  ],  "warnings": [    "string"  ]}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
Was this page helpful?